Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class LongAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.LongAttribute

Direct Known Subclasses:
  DateAttribute

public class LongAttribute
extends Attribute

The generic description of an LongAttribute.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`LongAttribute(java.lang.String name, java.lang.Long def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid LongAttribute value ?
`int` | `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object l)` Pickle an long to the given output stream.
`java.lang.Object` | `unpickle(java.io.DataInputStream in)` Unpickle an long from the given input stream.

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongAttribute

    public LongAttribute(java.lang.String name,
                         java.lang.Long def,
                         int flags)

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid LongAttribute value ?
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.
  Overrides:
    checkValue in class Attribute

### getPickleLength

    public final int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.
  Parameters:
    `The` - value about to be pickled.
  Returns:
    The number of bytes needed to pickle that value.
  Overrides:
    getPickleLength in class Attribute

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object l)
                throws java.io.IOException

  Pickle an long to the given output stream.
  Parameters:
    `out` - The output stream to pickle to.
    `obj` - The object to pickle.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    pickle in class Attribute

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Unpickle an long from the given input stream.
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of Long.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    unpickle in class Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD